package com.heyu.api.data.service.impl.device;
/**
* <p>
* 设备批次表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.device.DeviceBatchDao;
import com.heyu.api.data.entity.device.DeviceBatchEntity;
import com.heyu.api.data.service.device.DeviceBatchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class DeviceBatchServiceImpl extends ServiceImpl<DeviceBatchDao, DeviceBatchEntity> implements DeviceBatchService {


    @Autowired
	private DeviceBatchDao deviceBatchDao;



	@Override
	public DeviceBatchEntity selectDeviceBatchById(Long id){
		return deviceBatchDao.selectDeviceBatchById(id);
	}



	@Override
	public Long insertDeviceBatch(DeviceBatchEntity deviceBatch){
		return deviceBatchDao.insertDeviceBatch(deviceBatch);
	}



	@Override
	public Long insertOrUpdateDeviceBatch(DeviceBatchEntity deviceBatch){
		return deviceBatchDao.insertOrUpdateDeviceBatch(deviceBatch);
	}



	@Override
	public int updateDeviceBatchById(DeviceBatchEntity deviceBatch){
		return deviceBatchDao.updateDeviceBatchById(deviceBatch);
	}



	@Override
	public int updateCoverDeviceBatchById(DeviceBatchEntity deviceBatch){
		return deviceBatchDao.updateCoverDeviceBatchById(deviceBatch);
	}



	@Override
	public int deleteDeviceBatchById(Long id){
		return deviceBatchDao.deleteDeviceBatchById(id);
	}



}
